Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.bean
Class JRFaxServerInfo

    java.lang.Object
      jet.bean.JRFaxServerInfo

All Implemented Interfaces:
  java.io.Serializable

    public class JRFaxServerInfo

extends java.lang.Object
implements java.io.Serializable

This class is used to create the information needed to send a report by fax

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `faxnumber`
`java.lang.String` | `host`
`java.lang.String` | `password`
`int` | `port`
`int` | `retry`
`java.lang.String` | `specPars`
`int` | `timeout`
`java.lang.String` | `userid`
`java.lang.String` | `userName`

Constructor Summary
`JRFaxServerInfo(java.lang.String host, int port, java.lang.String userid, java.lang.String password, java.lang.String faxnumber, java.lang.String userName, int timeout, int retry, java.lang.String specPars)` Constructs a `JRFaxServerInfo` object with some fax server information.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### host

    public java.lang.String host

### userid

    public java.lang.String userid

### password

    public java.lang.String password

### faxnumber

    public java.lang.String faxnumber

### userName

    public java.lang.String userName

### specPars

    public java.lang.String specPars

### port

    public int port

### timeout

    public int timeout

### retry

    public int retry

Constructor Detail

### JRFaxServerInfo

    public JRFaxServerInfo(java.lang.String host,
                           int port,
                           java.lang.String userid,
                           java.lang.String password,
                           java.lang.String faxnumber,
                           java.lang.String userName,
                           int timeout,
                           int retry,
                           java.lang.String specPars)

  Constructs a `JRFaxServerInfo` object with some fax server information.

  Parameters:
    `faxnumber` - the fax numer of the recipient.
    `in,` - input stream which will be sent to fax server.
    `hostName` - IP of the fax server.
    `port` - the port number of fax server.
    `timeout` -
    `retry` -
    `specPars` - special parameters of the fax server. throws JRFaxServerException if it throws an exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD